glibmm 2.55.2

Public Types | Public Member Functions | List of all members
Gio::ResourceError Class Reference

Exception class for resource file handling errors. More...

`#include <giomm/resource.h>`

Inheritance diagram for Gio::ResourceError:
[legend]

## Public Types
enum | Code { NOT_FOUND, INTERNAL }
| An error code used with G_RESOURCE_ERROR in a Error returned from a Resource routine. More...

## Public Member Functions
| ResourceError (Code error_code, const Glib::ustring& error_message)
| ResourceError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark error_domain, int error_code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
| ~Error () noexcept override
GQuark | domain () const
int | code () const
Glib::ustring | what () const override
bool | matches (GQuark error_domain, int error_code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception () noexcept=0

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Detailed Description

Exception class for resource file handling errors.

Since glibmm 2.34:

## Member Enumeration Documentation

## ◆ Code

enum Gio::ResourceError::Code

An error code used with G_RESOURCE_ERROR in a Error returned from a Resource routine.

Since glibmm 2.34:

Enumerator
NOT_FOUND | No file was found at the requested path.
INTERNAL | Unknown error.

## Constructor & Destructor Documentation

## ◆ ResourceError() [1/2]

Gio::ResourceError::ResourceError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

## ◆ ResourceError() [2/2]

Gio::ResourceError::ResourceError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ code()

Code Gio::ResourceError::code | ( |  | ) | const